=== added file 'database/schema/patch-2208-91-1.sql'
--- database/schema/patch-2208-91-1.sql	1970-01-01 00:00:00 +0000
+++ database/schema/patch-2208-91-1.sql	2011-10-04 04:10:35 +0000
@@ -0,0 +1,9 @@
+-- Copyright 2011 Canonical Ltd.  This software is licensed under the
+-- GNU Affero General Public License version 3 (see the file LICENSE).
+
+SET client_min_messages=ERROR;
+
+ALTER TABLE Branch ALTER COLUMN transitively_private SET DEFAULT TRUE;
+ALTER TABLE Branch ALTER COLUMN transitively_private SET NOT NULL;
+
+INSERT INTO LaunchpadDatabaseRevision VALUES (2208, 91, 1);

=== modified file 'lib/lp/code/model/tests/test_branch_privacy_triggers.py'
--- lib/lp/code/model/tests/test_branch_privacy_triggers.py	2011-09-21 02:05:56 +0000
+++ lib/lp/code/model/tests/test_branch_privacy_triggers.py	2011-10-04 04:10:35 +0000
@@ -24,11 +24,14 @@
         # 3 is private
         # 4 stacked on 3 at insert time
         # 2 stacked on 5
+        # 6 stacked on 1 at insert time
         cur = cursor()
-        for x in range(6):
+        for x in range(7):
             is_private = 'True' if x == 3 else 'False'
             if x == 4:
                 stacked_on = self.branch_ids[3]
+            elif x == 6:
+                stacked_on = self.branch_ids[1]
             else:
                 stacked_on = 'NULL'
             cur.execute("""
@@ -88,6 +91,7 @@
         self.check_branch_privacy(1, False, False)
         self.check_branch_privacy(3, True, True)
         self.check_branch_privacy(4, False, True)
+        self.check_branch_privacy(6, False, False)
 
     def testSetStackedOn(self):
         # Stack 1 on 3 which is private.

